var port = 8080;

var express = require('express');
var server = express();
server.use('/', express.static(__dirname + '/public'));

server.use('/stimulsoft', function(req, res)
{
   var data = "";
   req.on("data", function(chunk)
   {
      data += chunk.toString();
   });

   req.on("end", function()
   {
      data = JSON.parse(data);
      //~console.log('data', data);

      var returnData = {
         "success": true,
         "columns": ["ITEM","DESCRIPTION"],
         "rows": [],
         "types":["string","string"]
      };

      for(var i = 0; i < 5; i++)
      {
         returnData.rows.push(['Item_'+ i, 'Test Item #' + i]);
      }

      res.send(returnData).end();
   });
});

server.listen(port);

console.log(`Running server on port ${port}`);
